/// <reference types="react" />
export declare enum SlateType {
    mark = 1,
    block = 2,
}
export interface SlateOptions {
    identifier: string;
    type: SlateType;
    renderFn: (any) => JSX.Element;
    eventListeners: {
        [type: string]: (KeyboardEvent, Change) => boolean | undefined;
    };
}
